# 49. Запрос: получить сеточные данные из "FieldSatelliteImage"

Запрос для получения растровых (гридированных) данных из набора растровых данных, относящихся к «FieldSatelliteImage», в виде `GEOJSON`  с точками или `GEOTIFF` . Атрибут properties зависит от поставщика и обычно содержит исходные данные поставщика (например, КРАСНЫЙ, ЗЕЛЕНЫЙ, СИНИЙ, БИЧ, и даже ЧИСТАЯ ЗЕМЛЯ) для каждой точки/пикселя. Более подробную информацию об экспортируемом файле можно найти [ЗДЕСЬ](/geopard-tutorials/ru/obzor-produkta-veb-prilozhenie/eksport-skachivanie/eksport-sputnikovykh-snimkov-v-geotiff-ili-geojson.md).

#### 1. Запросить файл для экспорта

{% hint style="danger" %}
Рекомендуется извлекать только один набор данных с `sourceDataUrl` за запрос.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, и `MinusTwoPixels` доступны как `буфер`.

`GEOJSON` и `GEOTIFF` доступны в качестве формата.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Скачать сгенерированный файл

После успешной подготовки файла его можно скачать, используя `curl` или аналогичный подход.

{% hint style="danger" %}
`sourceDataUrl` ссылка доступна только в течение **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/49.-zapros-poluchit-setochnye-dannye-iz-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
